Definer.OnError (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.Definer.OnError,Definer.OnError class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Definer.OnError

    java.lang.Object
      |
      +--org.apache.tools.ant.types.EnumeratedAttribute
            |
            +--org.apache.tools.ant.taskdefs.Definer.OnError

Enclosing class:
  Definer

public static class Definer.OnError
extends EnumeratedAttribute

Enumerated type for onError attribute

See Also:
  `EnumeratedAttribute`

Field Summary
`static int` | `FAIL` Enumerated values
`static int` | `IGNORE` Enumerated values
`static int` | `REPORT` Enumerated values

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`Definer.OnError()` Constructor
`Definer.OnError(java.lang.String value)` Constructor using a string.

Method Summary
`java.lang.String[]` | `getValues()` get the values

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FAIL

    public static final int FAIL

  Enumerated values

  See Also:
    Constant Field Values

### REPORT

    public static final int REPORT

  Enumerated values

  See Also:
    Constant Field Values

### IGNORE

    public static final int IGNORE

  Enumerated values

  See Also:
    Constant Field Values

Constructor Detail

### Definer.OnError

    public Definer.OnError()

  Constructor

### Definer.OnError

    public Definer.OnError(java.lang.String value)

  Constructor using a string.

Parameters:
  `value` - the value of the attribute

Method Detail

### getValues

    public java.lang.String[] getValues()

  get the values

  Specified by:
    `getValues` in class `EnumeratedAttribute`
  Returns:
    an array of the allowed values for this attribute.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.